Index: /issm/trunk/cron/report.sh
===================================================================
--- /issm/trunk/cron/report.sh	(revision 1567)
+++ /issm/trunk/cron/report.sh	(revision 1568)
@@ -2,5 +2,5 @@
 #generate html report from nightly.log output file
 
-#Process log for errors 
+#Process log
 cat nightly.log | grep 'package: macayeal'      | grep -v "not supported yet" > macayeal.log
 cat nightly.log | grep 'package: ice'           | grep -v "not supported yet" > ice.log
@@ -11,4 +11,19 @@
 cat nightly.log | grep SUCCESS > success.log
 cat errors.log success.log > tests.log
+
+#create some variables
+if [ `wc -l check.log | awk '{printf("%s",$1);}'`  = "0" ]
+then
+	IS_END=0
+else
+	IS_END=1
+fi
+if [ `wc -l tests.log | awk '{printf("%s",$1);}'`  = "0" ]
+then
+	IS_INSTALL=0
+else
+	IS_INSTALL=1
+fi
+
 
 #build report.html
@@ -81,5 +96,5 @@
 date: $TODAY<br>
 host: $HOST_NAME<br>
-platform: $ISSM_ARCH<br>
+OS:   $OS<br>
 release: $ISSM_RELEASE<br>
 total elapsed time: $ELAPSED_TOTAL<br>
@@ -87,9 +102,24 @@
 runs elapsed time: $ELAPSED_RUN<br>
 <br>
-status: $(if [ `wc -l check.log | awk '{printf("%s",$1);}'`  = "0" ];
+status: $(if [ $IS_INSTALL==0 ];
 then
-	echo "<span style=\"color:#FF0000\">stopped before the end</span>"
+	#installation failed, end of report
+	echo "<span style=\"color:#FF0000\">installation failed</span>"
+	echo "<br>"
+	echo "<hr width=\"900px\">"
+	echo "</div>"
+	echo "<br>"
+	echo "<br>"
+	echo "<div class=\"issmfooter\"><a href=\"http://issm.jpl.nasa.gov\" title=\"ISSM website\" target=\"_blank\">ISSM</a> nightly run report</div>"
+	echo "</body>"
+	echo "</html>"
+	exit 1
 else
-	echo "all test desks have been run"
+	if [ $IS_END==0 ];
+	then
+		echo "<span style=\"color:#FF0000\">stopped before the end</span></div>"
+	else
+		echo "all test desks have been run"
+	fi
 fi
 rm check.log) 
